name: build-release
on:
  push:
    branches:
      - 'main'
      - 'dev'
    paths-ignore:
      - '**.md'
jobs:
  Build:
    runs-on: ubuntu-22.04
    steps:
      - name: Checkout
        uses: actions/checkout@v4
      - name: Setup Rust
        uses: actions-rs/toolchain@v1
        with:
          toolchain: stable
          target: x86_64-pc-windows-gnu
      - name: Build
        uses: actions-rs/cargo@v1
        with:
          command: build --target=x86_64-pc-windows-gnu --release
      - name: Artifact
        uses: actions/upload-artifact@v3
        with:
          name: rvc-launcher.exe
          path: target/x86_64-pc-windows-gnu/release/rvc-launcher.exe
